unit main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, Registry;

type
  TForm1 = class(TForm)
    Oku: TBitBtn;
    Yaz: TBitBtn;
    Memo1: TMemo;
    BValue: TBitBtn;
    BKey: TBitBtn;
    BHakkinda: TBitBtn;
    BKapat: TBitBtn;
    BRegist: TBitBtn;
    procedure OkuClick(Sender: TObject);
    procedure YazClick(Sender: TObject);
    procedure BValueClick(Sender: TObject);
    procedure BKeyClick(Sender: TObject);
    procedure BHakkindaClick(Sender: TObject);
    procedure BRegistClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses fabout;

{$R *.DFM}

procedure TForm1.OkuClick(Sender: TObject);
var
Reg1:TRegistry;
begin
Reg1:=TRegistry.Create;
Reg1.RootKey:=HKEY_LOCAL_MACHINE;
Reg1.OpenKey('Software\MustafaSoft\RegDeneme',True);
Memo1.Lines.Clear; //memo1'in ieriini temizle
Memo1.Lines.Add(Reg1.ReadString('wstring')); //wstring
Memo1.Lines.Add(inttostr(Reg1.ReadInteger('wint')));
Memo1.Lines.Add(FloatToStr(Reg1.ReadFloat('wfloat')));
Memo1.Lines.Add(DateToStr(Reg1.ReadDate('bugun')));
Memo1.Lines.Add(TimeToStr(Reg1.ReadTime('wtime')));
Memo1.Lines.Add(DateTimeToStr(Reg1.ReadDateTime('wdt')));
Memo1.Lines.Add(CurrToStr(Reg1.ReadCurrency('wcurr')));
Reg1.CloseKey;
Reg1.Free;
end;

procedure TForm1.YazClick(Sender: TObject);
var
Reg1:TRegistry;
begin
Reg1:=TRegistry.Create;
Reg1.RootKey:=HKEY_LOCAL_MACHINE;
Reg1.OpenKey('Software\MustafaSoft\RegDeneme',True);
Reg1.WriteString('wstring','Mustafa MEK');
Reg1.WriteInteger('wint',1234);
Reg1.WriteFloat('wfloat',123.45);
Reg1.WriteDate('bugun',date);
Reg1.WriteDate('wtime',time);
Reg1.WriteDateTime('wdt',now);
Reg1.WriteCurrency('wcurr',1000000.325);
Reg1.CloseKey;
Reg1.Free;
end;

procedure TForm1.BValueClick(Sender: TObject);
var
Reg1:TRegistry;
begin
Reg1:=TRegistry.Create;
Reg1.RootKey:=HKEY_LOCAL_MACHINE;
Reg1.OpenKey('Software\MustafaSoft\RegDeneme',True);
Reg1.GetValueNames(memo1.lines);
Reg1.CloseKey;
Reg1.Free;

end;

procedure TForm1.BKeyClick(Sender: TObject);
var
Reg1:TRegistry;
begin
Reg1:=TRegistry.Create;
Reg1.RootKey:=HKEY_LOCAL_MACHINE;
Reg1.OpenKey('Software',True);
Reg1.GetKeyNames(memo1.lines);
Reg1.CloseKey;
Reg1.Free;

end;

procedure TForm1.BHakkindaClick(Sender: TObject);
begin
AboutBox.ShowModal;
end;

procedure TForm1.BRegistClick(Sender: TObject);
begin
WinHelp(handle,'regist.hlp',Help_Finder,0);
end;

procedure TForm1.FormCreate(Sender: TObject);
var
Reg1:TRegistry;
begin
Reg1:=TRegistry.Create;
Reg1.RootKey:=HKEY_LOCAL_MACHINE;
if Reg1.KeyExists('Software\MustafaSoft\RegDeneme')=False then
   begin
     Reg1.CreateKey('Software\MustafaSoft\RegDeneme');
     Reg1.OpenKey('Software\MustafaSoft\RegDeneme',False);
     Reg1.WriteString('wstring','Mustafa MEK');
     Reg1.WriteInteger('wint',1234);
     Reg1.WriteFloat('wfloat',123.45);
     Reg1.WriteDate('bugun',date);
     Reg1.WriteDate('wtime',time);
     Reg1.WriteDateTime('wdt',now);
     Reg1.WriteCurrency('wcurr',1000000.325);
     Reg1.CloseKey;
end;
Reg1.Free;
end;

end.
